Bug 1123232 - Deploy app with krb5-principal type sshkey failed
Summary: Deploy app with krb5-principal type sshkey failed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Fabiano Franz
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 07:02 UTC by weiwei jiang
Modified: 2017-05-31 18:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 18:22:11 UTC


Attachments (Terms of Use)
script to install and initialize kerberos server and client (1.29 KB, application/x-shellscript)
2014-07-28 02:18 UTC, weiwei jiang
no flags Details

Description weiwei jiang 2014-07-25 07:02:41 UTC
Description of problem:
When user have only one krb5-principal type sshkey, deploy app will failed, but can ssh into the app successfully.

Version-Release number of selected component (if applicable):
devenv_5008
rhc-1.28.2

How reproducible:
always

Steps to Reproduce:
1.clear all sshkeys
2.init a krb5-principal ticket and add this pricipal as the sshkey content
3.Create an app
3.try to deploy the app.
rhc deploy master -a app

Actual results:
# rhc deploy master -a app -d 
DEBUG: Using config file /root/.openshift/express.conf
DEBUG: Git config 'git config --get rhc.app-id' returned ''
DEBUG: Git config 'git config --get rhc.app-name' returned ''
DEBUG: Git config 'git config --get rhc.domain-name' returned ''
DEBUG: Authenticating with RHC::Auth::Token
DEBUG: Connecting to https://localhost/broker/rest/api
DEBUG: Getting all domains
DEBUG: Client supports API versions 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7
DEBUG: Using token authentication
DEBUG: Created new httpclient
DEBUG: Request GET https://localhost/broker/rest/api
DEBUG: SSL Verification failed -- Using self signed cert
DEBUG:    code 200   47 ms
DEBUG: Server supports API versions 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7
DEBUG:    Using API version 1.7
DEBUG: Client API version 1.7 is not current. Refetching API
DEBUG: Using token authentication
DEBUG: Request GET https://localhost/broker/rest/api
DEBUG:    code 200   19 ms
DEBUG: Using token authentication
DEBUG: Request GET https://localhost/broker/rest/domains
DEBUG:    code 200   31 ms
DEBUG: Using token authentication
DEBUG: Request GET https://localhost/broker/rest/domain/wjiang/application/app
DEBUG:    code 200   33 ms
Deployment of git ref 'master' in progress for application app ...
DEBUG: Opening Net::SSH connection to app-wjiang.dev.rhcloud.com, 53d1f48a762a5027bb000005, gear deploy master
D, [2014-07-25T06:16:40.545250 #24872] DEBUG -- net.ssh.transport.session[3fbb55f0fde8]: establishing connection to app-wjiang.dev.rhcloud.com:22
D, [2014-07-25T06:16:40.555688 #24872] DEBUG -- net.ssh.transport.session[3fbb55f0fde8]: connection established
I, [2014-07-25T06:16:40.555789 #24872]  INFO -- net.ssh.transport.server_version[3fbb55f0d408]: negotiating protocol version
D, [2014-07-25T06:16:40.560517 #24872] DEBUG -- net.ssh.transport.server_version[3fbb55f0d408]: remote is `SSH-2.0-OpenSSH_5.3'
D, [2014-07-25T06:16:40.560578 #24872] DEBUG -- net.ssh.transport.server_version[3fbb55f0d408]: local is `SSH-2.0-Ruby/Net::SSH_2.7.0 x86_64-linux'
D, [2014-07-25T06:16:40.575243 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: read 840 bytes
D, [2014-07-25T06:16:40.575454 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: received packet nr 0 type 20 len 836
I, [2014-07-25T06:16:40.575546 #24872]  INFO -- net.ssh.transport.algorithms[3fbb55f0cc10]: got KEXINIT from server
I, [2014-07-25T06:16:40.575709 #24872]  INFO -- net.ssh.transport.algorithms[3fbb55f0cc10]: sending KEXINIT
D, [2014-07-25T06:16:40.575900 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: queueing packet nr 0 type 20 len 1508
D, [2014-07-25T06:16:40.576297 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: sent 1512 bytes
I, [2014-07-25T06:16:40.576566 #24872]  INFO -- net.ssh.transport.algorithms[3fbb55f0cc10]: negotiating algorithms
D, [2014-07-25T06:16:40.576742 #24872] DEBUG -- net.ssh.transport.algorithms[3fbb55f0cc10]: negotiated:
* kex: diffie-hellman-group-exchange-sha1
* host_key: ssh-rsa
* encryption_server: aes128-cbc
* encryption_client: aes128-cbc
* hmac_client: hmac-sha1
* hmac_server: hmac-sha1
* compression_client: none
* compression_server: none
* language_client: 
* language_server: 
D, [2014-07-25T06:16:40.576792 #24872] DEBUG -- net.ssh.transport.algorithms[3fbb55f0cc10]: exchanging keys
D, [2014-07-25T06:16:40.577096 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: queueing packet nr 1 type 34 len 20
D, [2014-07-25T06:16:40.577162 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: sent 24 bytes
D, [2014-07-25T06:16:40.616520 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: read 152 bytes
D, [2014-07-25T06:16:40.616699 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: received packet nr 1 type 31 len 148
D, [2014-07-25T06:16:40.618733 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: queueing packet nr 2 type 32 len 140
D, [2014-07-25T06:16:40.623535 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: sent 144 bytes
D, [2014-07-25T06:16:40.625072 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: read 720 bytes
D, [2014-07-25T06:16:40.625191 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: received packet nr 2 type 33 len 700
D, [2014-07-25T06:16:40.626675 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: queueing packet nr 3 type 21 len 20
D, [2014-07-25T06:16:40.626918 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: sent 24 bytes
D, [2014-07-25T06:16:40.627042 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: received packet nr 3 type 21 len 12
D, [2014-07-25T06:16:40.631577 #24872] DEBUG -- net.ssh.authentication.session[3fbb55ef82c4]: beginning authentication of `53d1f48a762a5027bb000005'
D, [2014-07-25T06:16:40.631724 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: queueing packet nr 4 type 5 len 28
D, [2014-07-25T06:16:40.631786 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: sent 52 bytes
D, [2014-07-25T06:16:40.666587 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: read 52 bytes
D, [2014-07-25T06:16:40.666807 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: received packet nr 4 type 6 len 28
D, [2014-07-25T06:16:40.666967 #24872] DEBUG -- net.ssh.authentication.session[3fbb55ef82c4]: trying none
D, [2014-07-25T06:16:40.667083 #24872] DEBUG -- net.ssh.authentication.session[3fbb55ef82c4]: Mechanism none was requested, but isn't a known type.  Ignoring it.
D, [2014-07-25T06:16:40.667129 #24872] DEBUG -- net.ssh.authentication.session[3fbb55ef82c4]: trying publickey
D, [2014-07-25T06:16:40.667416 #24872] DEBUG -- net.ssh.authentication.agent[3fbb55ef6744]: connecting to ssh-agent
E, [2014-07-25T06:16:40.667505 #24872] ERROR -- net.ssh.authentication.agent[3fbb55ef6744]: could not connect to ssh-agent
D, [2014-07-25T06:16:40.667704 #24872] DEBUG -- net.ssh.authentication.methods.publickey[3fbb55ef68c0]: trying publickey (6e:54:fd:e1:7d:56:79:98:52:75:2d:50:02:7a:02:cc)
D, [2014-07-25T06:16:40.667880 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: queueing packet nr 5 type 50 len 364
D, [2014-07-25T06:16:40.670032 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: sent 388 bytes
D, [2014-07-25T06:16:40.676124 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: read 84 bytes
D, [2014-07-25T06:16:40.676260 #24872] DEBUG -- tcpsocket[3fbb55f0d890]: received packet nr 5 type 51 len 60
D, [2014-07-25T06:16:40.676389 #24872] DEBUG -- net.ssh.authentication.session[3fbb55ef82c4]: allowed methods: publickey,gssapi-keyex,gssapi-with-mic
E, [2014-07-25T06:16:40.676445 #24872] ERROR -- net.ssh.authentication.session[3fbb55ef82c4]: all authorization methods failed (tried none, publickey)
DEBUG: 53d1f48a762a5027bb000005 (Net::SSH::AuthenticationFailed)
  /usr/lib/ruby/gems/1.8/gems/net-ssh-2.7.0/lib/net/ssh.rb:215:in `start'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/ssh_helpers.rb:174:in `ssh_ruby'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/deployment_helpers.rb:50:in `deploy_git_ref'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/deployment_helpers.rb:39:in `deploy_artifact'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/commands/app.rb:467:in `deploy'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/commands.rb:294:in `send'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/commands.rb:294:in `execute'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/commands.rb:285:in `to_commander'
  /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
  /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
  /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/command.rb:155:in `run'
  /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/runner.rb:383:in `run_active_command'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/command_runner.rb:72:in `run!'
  /usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/delegates.rb:7:in `run!'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/lib/rhc/cli.rb:37:in `start'
  /usr/lib/ruby/gems/1.8/gems/rhc-1.28.2/bin/rhc:20
  /usr/bin/rhc:19:in `load'
  /usr/bin/rhc:19
Error deploying git ref. You can try to deploy manually with:
ssh -t 53d1f48a762a5027bb000005@app-wjiang.dev.rhcloud.com 'gear deploy master'
Authentication to server app-wjiang.dev.rhcloud.com with user 53d1f48a762a5027bb000005 failed


# rhc ssh app -d 
DEBUG: Using config file /root/.openshift/express.conf
DEBUG: Git config 'git config --get rhc.app-id' returned ''
DEBUG: Git config 'git config --get rhc.app-name' returned ''
DEBUG: Git config 'git config --get rhc.domain-name' returned ''
DEBUG: Authenticating with RHC::Auth::Token
DEBUG: Connecting to https://localhost/broker/rest/api
DEBUG: Getting all domains
DEBUG: Client supports API versions 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7
DEBUG: Using token authentication
DEBUG: Created new httpclient
DEBUG: Request GET https://localhost/broker/rest/api
DEBUG: SSL Verification failed -- Using self signed cert
DEBUG:    code 200   50 ms
DEBUG: Server supports API versions 1.0, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7
DEBUG:    Using API version 1.7
DEBUG: Client API version 1.7 is not current. Refetching API
DEBUG: Using token authentication
DEBUG: Request GET https://localhost/broker/rest/api
DEBUG:    code 200   20 ms
DEBUG: Using token authentication
DEBUG: Request GET https://localhost/broker/rest/domains
DEBUG:    code 200   37 ms
DEBUG: Using token authentication
DEBUG: Request GET https://localhost/broker/rest/domain/wjiang/application/app
DEBUG:    code 200   49 ms
Connecting to 53d1f48a762a5027bb000005@app-wjiang.dev.rhcloud.com ...
DEBUG: Invoking Kernel.exec with ["ssh", "-vvv", "53d1f48a762a5027bb000005@app-wjiang.dev.rhcloud.com"]
OpenSSH_5.3p1, OpenSSL 1.0.0-fips 29 Mar 2010
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: Applying options for *
debug2: ssh_connect: needpriv 0
debug1: Connecting to app-wjiang.dev.rhcloud.com [10.179.172.102] port 22.
debug1: Connection established.
debug1: permanently_set_uid: 0/0
debug1: identity file /root/.ssh/identity type -1
debug1: identity file /root/.ssh/identity-cert type -1
debug3: Not a RSA1 key file /root/.ssh/id_rsa.
debug2: key_type_from_name: unknown key type '-----BEGIN'
debug3: key_read: missing keytype
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug3: key_read: missing whitespace
debug2: key_type_from_name: unknown key type '-----END'
debug3: key_read: missing keytype
debug1: identity file /root/.ssh/id_rsa type 1
debug1: identity file /root/.ssh/id_rsa-cert type -1
debug1: identity file /root/.ssh/id_dsa type -1
debug1: identity file /root/.ssh/id_dsa-cert type -1
debug1: Remote protocol version 2.0, remote software version OpenSSH_5.3
debug1: match: OpenSSH_5.3 pat OpenSSH*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_5.3
debug2: fd 4 setting O_NONBLOCK
debug1: SSH2_MSG_KEXINIT sent
debug3: Wrote 960 bytes for a total of 981
debug1: SSH2_MSG_KEXINIT received
debug2: kex_parse_kexinit: diffie-hellman-group-exchange-sha256,diffie-hellman-group-exchange-sha1,diffie-hellman-group14-sha1,diffie-hellman-group1-sha1
debug2: kex_parse_kexinit: ssh-rsa-cert-v01@openssh.com,ssh-dss-cert-v01@openssh.com,ssh-rsa-cert-v00@openssh.com,ssh-dss-cert-v00@openssh.com,ssh-rsa,ssh-dss
debug2: kex_parse_kexinit: aes128-ctr,aes192-ctr,aes256-ctr,arcfour256,arcfour128,aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,aes192-cbc,aes256-cbc,arcfour,rijndael-cbc@lysator.liu.se
debug2: kex_parse_kexinit: aes128-ctr,aes192-ctr,aes256-ctr,arcfour256,arcfour128,aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,aes192-cbc,aes256-cbc,arcfour,rijndael-cbc@lysator.liu.se
debug2: kex_parse_kexinit: hmac-md5,hmac-sha1,umac-64@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-ripemd160,hmac-ripemd160@openssh.com,hmac-sha1-96,hmac-md5-96
debug2: kex_parse_kexinit: hmac-md5,hmac-sha1,umac-64@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-ripemd160,hmac-ripemd160@openssh.com,hmac-sha1-96,hmac-md5-96
debug2: kex_parse_kexinit: none,zlib@openssh.com,zlib
debug2: kex_parse_kexinit: none,zlib@openssh.com,zlib
debug2: kex_parse_kexinit: 
debug2: kex_parse_kexinit: 
debug2: kex_parse_kexinit: first_kex_follows 0 
debug2: kex_parse_kexinit: reserved 0 
debug2: kex_parse_kexinit: diffie-hellman-group-exchange-sha256,diffie-hellman-group-exchange-sha1,diffie-hellman-group14-sha1,diffie-hellman-group1-sha1
debug2: kex_parse_kexinit: ssh-rsa,ssh-dss
debug2: kex_parse_kexinit: aes128-ctr,aes192-ctr,aes256-ctr,arcfour256,arcfour128,aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,aes192-cbc,aes256-cbc,arcfour,rijndael-cbc@lysator.liu.se
debug2: kex_parse_kexinit: aes128-ctr,aes192-ctr,aes256-ctr,arcfour256,arcfour128,aes128-cbc,3des-cbc,blowfish-cbc,cast128-cbc,aes192-cbc,aes256-cbc,arcfour,rijndael-cbc@lysator.liu.se
debug2: kex_parse_kexinit: hmac-md5,hmac-sha1,umac-64@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-ripemd160,hmac-ripemd160@openssh.com,hmac-sha1-96,hmac-md5-96
debug2: kex_parse_kexinit: hmac-md5,hmac-sha1,umac-64@openssh.com,hmac-sha2-256,hmac-sha2-512,hmac-ripemd160,hmac-ripemd160@openssh.com,hmac-sha1-96,hmac-md5-96
debug2: kex_parse_kexinit: none,zlib@openssh.com
debug2: kex_parse_kexinit: none,zlib@openssh.com
debug2: kex_parse_kexinit: 
debug2: kex_parse_kexinit: 
debug2: kex_parse_kexinit: first_kex_follows 0 
debug2: kex_parse_kexinit: reserved 0 
debug2: mac_setup: found hmac-md5
debug1: kex: server->client aes128-ctr hmac-md5 none
debug2: mac_setup: found hmac-md5
debug1: kex: client->server aes128-ctr hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug3: Wrote 24 bytes for a total of 1005
debug2: dh_gen_key: priv key bits set: 126/256
debug2: bits set: 506/1024
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug3: Wrote 144 bytes for a total of 1149
debug3: check_host_in_hostfile: host app-wjiang.dev.rhcloud.com filename /root/.ssh/known_hosts
debug3: check_host_in_hostfile: host app-wjiang.dev.rhcloud.com filename /root/.ssh/known_hosts
debug3: check_host_in_hostfile: match line 5
debug3: check_host_in_hostfile: host 10.179.172.102 filename /root/.ssh/known_hosts
debug3: check_host_in_hostfile: host 10.179.172.102 filename /root/.ssh/known_hosts
debug3: check_host_in_hostfile: match line 4
debug1: Host 'app-wjiang.dev.rhcloud.com' is known and matches the RSA host key.
debug1: Found key in /root/.ssh/known_hosts:5
debug2: bits set: 539/1024
debug1: ssh_rsa_verify: signature correct
debug2: kex_derive_keys
debug2: set_newkeys: mode 1
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug3: Wrote 16 bytes for a total of 1165
debug2: set_newkeys: mode 0
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug3: Wrote 48 bytes for a total of 1213
debug2: service_accept: ssh-userauth
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug2: key: /root/.ssh/identity ((nil))
debug2: key: /root/.ssh/id_rsa (0x7f44d562ce90)
debug2: key: /root/.ssh/id_dsa ((nil))
debug3: Wrote 80 bytes for a total of 1293
debug1: Authentications that can continue: publickey,gssapi-keyex,gssapi-with-mic
debug3: start over, passed a different list publickey,gssapi-keyex,gssapi-with-mic
debug3: preferred gssapi-keyex,gssapi-with-mic,publickey,keyboard-interactive,password
debug3: authmethod_lookup gssapi-keyex
debug3: remaining preferred: gssapi-with-mic,publickey,keyboard-interactive,password
debug3: authmethod_is_enabled gssapi-keyex
debug1: Next authentication method: gssapi-keyex
debug1: No valid Key exchange context
debug2: we did not send a packet, disable method
debug3: authmethod_lookup gssapi-with-mic
debug3: remaining preferred: publickey,keyboard-interactive,password
debug3: authmethod_is_enabled gssapi-with-mic
debug1: Next authentication method: gssapi-with-mic
debug3: Trying to reverse map address 10.179.172.102.
debug2: we sent a gssapi-with-mic packet, wait for reply
debug3: Wrote 112 bytes for a total of 1405
debug3: Wrote 720 bytes for a total of 2125
debug3: Wrote 64 bytes for a total of 2189
debug1: Authentication succeeded (gssapi-with-mic).
debug1: channel 0: new [client-session]
debug3: ssh_session2_open: channel_new: 0
debug2: channel 0: send open
debug1: Requesting no-more-sessions@openssh.com
debug1: Entering interactive session.
debug3: Wrote 128 bytes for a total of 2317
debug2: callback start
debug2: client_session2_setup: id 0
debug2: channel 0: request pty-req confirm 1
debug1: Sending environment.
debug3: Ignored env MANPATH
debug3: Ignored env HOSTNAME
debug3: Ignored env SELINUX_ROLE_REQUESTED
debug3: Ignored env TERM
debug3: Ignored env SHELL
debug3: Ignored env HISTSIZE
debug3: Ignored env SSH_CLIENT
debug3: Ignored env SELINUX_USE_CURRENT_RANGE
debug3: Ignored env BYOBU_CONFIG_DIR
debug3: Ignored env QTDIR
debug3: Ignored env QTINC
debug3: Ignored env BYOBU_TTY
debug3: Ignored env SSH_TTY
debug3: Ignored env BYOBU_READLINK
debug3: Ignored env USER
debug3: Ignored env LS_COLORS
debug3: Ignored env LD_LIBRARY_PATH
debug3: Ignored env BYOBU_RUN_DIR
debug3: Ignored env BYOBU_DISTRO
debug3: Ignored env BYOBU_DATE
debug3: Ignored env TMUX
debug3: Ignored env BYOBU_SED
debug3: Ignored env BYOBU_BACKEND
debug3: Ignored env PATH
debug3: Ignored env MAIL
debug3: Ignored env BYOBU_DARK
debug3: Ignored env PWD
debug1: Sending env XMODIFIERS = @im=ibus
debug2: channel 0: request env confirm 0
debug3: Ignored env BYOBU_ULIMIT
debug3: Ignored env MONOCHROME
debug1: Sending env LANG = en_US.UTF-8
debug2: channel 0: request env confirm 0
debug3: Ignored env TMUX_PANE
debug3: Ignored env SELINUX_LEVEL_REQUESTED
debug3: Ignored env BYOBU_WINDOW_NAME
debug3: Ignored env BYOBU_PYTHON
debug3: Ignored env BYOBU_CHARMAP
debug3: Ignored env OPENSHIFT_TEST_DIR
debug3: Ignored env HISTCONTROL
debug3: Ignored env SHLVL
debug3: Ignored env HOME
debug3: Ignored env BYOBU_LIGHT
debug3: Ignored env LOGNAME
debug3: Ignored env QTLIB
debug3: Ignored env CVS_RSH
debug3: Ignored env SSH_CONNECTION
debug3: Ignored env BYOBU_PAGER
debug3: Ignored env BYOBU_ACCENT
debug3: Ignored env LESSOPEN
debug3: Ignored env BYOBU_PREFIX
debug3: Ignored env BYOBU_HIGHLIGHT
debug3: Ignored env G_BROKEN_FILENAMES
debug3: Ignored env BYOBU_TIME
debug3: Ignored env _
debug3: Ignored env OLDPWD
debug2: channel 0: request shell confirm 1
debug2: fd 4 setting TCP_NODELAY
debug2: callback done
debug2: channel 0: open confirm rwindow 0 rmax 32768
debug3: Wrote 512 bytes for a total of 2829
debug2: channel_input_status_confirm: type 99 id 0
debug2: PTY allocation request accepted on channel 0
debug2: channel 0: rcvd adjust 2097152
debug2: channel_input_status_confirm: type 99 id 0
debug2: shell request accepted on channel 0

    *********************************************************************

    You are accessing a service that is for use only by authorized users.
    If you do not have authorization, discontinue use at once.
    Any use of the services is subject to the applicable terms of the
    agreement which can be found at:
    https://www.openshift.com/legal

    *********************************************************************

    Welcome to OpenShift shell

    This shell will assist you in managing OpenShift applications.

    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
    Shell access is quite powerful and it is possible for you to
    accidentally damage your application.  Proceed with care!
    If worse comes to worst, destroy your application with "rhc app delete"
    and recreate it
    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!

    Type "help" for more info.


[app-wjiang.dev.rhcloud.com 53d1f48a762a5027bb000005]\> 

Expected results:
The app should be deployed 

Additional info:

Comment 1 weiwei jiang 2014-07-25 09:38:02 UTC
rhc port-forward also can reproduce this issue.

Comment 2 Peter Ruan 2014-07-25 22:13:19 UTC
Hi Weiwei,
  Can you pls include the steps on how to produce the krb5 principle ticket?

Thanks,
-peter

Comment 3 weiwei jiang 2014-07-28 02:15:58 UTC
(In reply to Peter Ruan from comment #2)
> Hi Weiwei,
>   Can you pls include the steps on how to produce the krb5 principle ticket?
> 
> Thanks,
> -peter

Hi peter,
   1. launch a instance on ec2;
   2. run the script in attachment;
   3. run `kdestroy` and `kinit u1`;
   4. add a krb5-principal type sshkey and clear other type sshkey;
   5. try to deploy app with krb5-principal sshkey.

--wjiang

Comment 4 weiwei jiang 2014-07-28 02:18:10 UTC
Created attachment 921635 [details]
script to install and initialize kerberos server and client

Comment 6 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.